Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608512 - (python-anyvc) Review Request: python-anyvc - Python library to access different version control system
Review Request: python-anyvc - Python library to access different version con...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On: python-dulwich python-subvertpy python-apipkg python-hgdistver
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 19:18 EDT by Fabian Affolter
Modified: 2013-01-28 10:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 09:58:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2010-06-27 19:18:27 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-anyvc.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-anyvc-0.3.1-1.fc13.src.rpm

Project URL: http://pypi.python.org/pypi/anyvc

Description:
Anyvc is an abstraction library for different kind of version control 
systems. Although primarily a library, there is a command line tool (vc)
to use with it.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2276263

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint python-anyvc-0.3.1-1.fc13.src.rpm 
python-anyvc.src: W: spelling-error %description -l en_US vc -> VC, cc, vv
python-anyvc.src:56: W: macro-in-comment %check
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[fab@laptop011 noarch]$ rpmlint python-anyvc-0.3.1-1.fc13.noarch.rpm 
python-anyvc.noarch: W: spelling-error %description -l en_US vc -> VC, cc, vv
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Fabian Affolter 2010-11-10 16:30:05 EST
* Wed Nov 08 2010 Fabian Affolter <fabian@bernewireless.net> - 0.3.5-1
- Added test that is working
- Added new BR
- Updated to new upstream version 0.3.5

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-anyvc.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-anyvc-0.3.5-1.fc14.src.rpm
Comment 2 PRABIN KUMAR DATTA 2011-06-27 12:08:35 EDT
Project url is not pypi.python.org but [1] will be the url for this package.
-
[1]. http://www.bitbucket.org/RonnyPfannschmidt/anyvc/
Comment 3 Fabian Affolter 2011-07-17 18:42:12 EDT
Well, thanks for your comment. I consider to change it later because this is not a blocker and my time limited. BTW, this is only a comment and not a review. If you want to swap review in the future you should better not ask me.
Comment 4 Matthias Runge 2012-03-24 14:23:12 EDT
Any progress? Fabian, are you still interested?
Comment 5 Fabian Affolter 2012-04-07 03:35:54 EDT
Well, I am.
Comment 6 Matthias Runge 2012-04-10 05:34:58 EDT
OK, takin' this one.
Comment 7 Matthias Runge 2012-06-01 16:29:25 EDT
ok, before I'll do a formal review, is there anything new regarding this package?

Latest release on pypi is 0.3.5 (sometime in 2010), latest change on bitbucket was 2012-04-16.
Comment 8 Fabian Affolter 2012-06-08 09:37:50 EDT
Upstream made a new release in the meantime. I will make an updated package.
Comment 9 Matthias Runge 2012-12-14 04:16:50 EST
Fabian, just give me a ping, when you're ready.
Comment 10 Fabian Affolter 2012-12-14 13:41:28 EST
python-hgdistver is now available. Time to go on ;-)
Comment 11 Fabian Affolter 2012-12-14 14:17:49 EST
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4791714

rpmlint output:
[fab@laptop11 SRPMS]$ rpmlint python-anyvc-0.3.7.1-2.fc17.src.rpm 
python-anyvc.src: W: spelling-error %description -l en_US vc -> cc, v, c
python-anyvc.src:51: W: macro-in-comment %doc
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[fab@laptop11 noarch]$ rpmlint python-anyvc-0.3.7.1-2.fc17.noarch.rpm 
python-anyvc.noarch: W: no-documentation
python-anyvc.noarch: W: no-manual-page-for-binary vc
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

* Fri Dec 14 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.7.1-2
- Remove egg-info
- python-hgdistver is available now

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-anyvc.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-anyvc-0.3.7.1-2.fc17.src.rpm
Comment 12 Matthias Runge 2012-12-17 02:54:44 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/mrunge/review/608512-python-anyvc/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
     Note: Cannot find sources under BUILD (using prebuilt sources?)
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (anyvc-0.3.7.1.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: python-anyvc-0.3.7.1-2.fc19.noarch.rpm
          python-anyvc-0.3.7.1-2.fc19.src.rpm
python-anyvc.noarch: W: no-documentation
python-anyvc.noarch: W: no-manual-page-for-binary vc
python-anyvc.src: W: spelling-error %description -l en_US vc -> cc, v, c
python-anyvc.src:51: W: macro-in-comment %doc
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-anyvc
python-anyvc.noarch: W: no-documentation
python-anyvc.noarch: W: no-manual-page-for-binary vc
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/mrunge/review/608512-python-anyvc/srpm/python-anyvc.spec	2012-12-17 08:40:56.901141985 +0100
+++ /home/mrunge/review/608512-python-anyvc/srpm-unpacked/python-anyvc.spec	2012-12-17 08:40:58.691135975 +0100
@@ -34,5 +34,4 @@
 %prep
 %setup -q -n %{srcname}-%{version}
-rm -rf %{srcname}.egg-info
 
 %build
@@ -57,5 +56,4 @@
 %changelog
 * Fri Dec 14 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.7.1-2
-- Remove egg-info
 - python-hgdistver is available now
 


Requires
--------
python-anyvc-0.3.7.1-2.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/python
    mercurial
    python(abi) = 2.7
    python-dulwich
    python-subvertpy



Looks good to me,
APPROVED
Comment 13 Fabian Affolter 2012-12-17 12:25:17 EST
Thanks for the review, Matthias.
Comment 14 Fabian Affolter 2012-12-17 12:25:41 EST
New Package SCM Request
=======================
Package Name: python-anyvc
Short Description: Python library to access different version control system
Owners: fab
Branches: F17 F18
InitialCC:
Comment 15 Gwyn Ciesla 2012-12-18 08:39:26 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2013-01-11 07:03:49 EST
python-anyvc-0.3.7.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-anyvc-0.3.7.1-2.fc18
Comment 17 Fedora Update System 2013-01-11 07:04:10 EST
python-anyvc-0.3.7.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-anyvc-0.3.7.1-2.fc17
Comment 18 Fedora Update System 2013-01-12 10:03:07 EST
python-anyvc-0.3.7.1-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 19 Fedora Update System 2013-01-28 09:59:00 EST
python-anyvc-0.3.7.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 20 Fedora Update System 2013-01-28 10:04:08 EST
python-anyvc-0.3.7.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.